Name:           i3lock
Version:        1.0
Release:        3%{?dist}
Summary:        Simple X display locker

Group:          User Interface/Desktops
License:        MIT
URL:            http://i3.zekjur.net/i3lock/
Source0:        http://i3.zekjur.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.pam
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# i3lock now can use xpm images as background
Patch0: %{name}-1.0-189ee55bc074c14d61a900d428401580614a5618.patch
# Handle error codes when loading the pixmap
Patch1: %{name}-1.0-69a987db550678b640d0f59246e6ac2cd7ce2657.patch
# Document the new option in the manpage
Patch2: %{name}-1.0-c1a91badbed68ab63e1109bf74902e2f88bae008.patch
# adding option to choose background color
Patch3: %{name}-1.0-9c4dee2e8633d4ff2c9787fc3f1b6591338c41f5.patch
# Skip leading # signs for the color, fix input validation
Patch4: %{name}-1.0-206036a852e3d9c598e3fe82d84fd2ac54bbaa55.patch
# adding option to enable tiling of images
Patch5: %{name}-1.0-1cddfc4a98efa54203f48de30b9937aaf66a95b4.patch
# Some small cleanups
Patch6: %{name}-1.0-ef1d47ce5b663ccc75f8387021bcc4a9e75b2a5d.patch
# Document dependency on libpam in README
Patch7: %{name}-1.0-25fe0bf00d7519db5c514cdb320870fa52265e2e.patch
# Skip keypresses without entering a password, they cause a delay
Patch8: %{name}-1.0-2e5bee59d5444f84126df845bfb8e02cd252576f.patch



BuildRequires:  libX11-devel
BuildRequires:  pam-devel
BuildRequires:  libXext-devel
BuildRequires:  libXpm-devel


%description
i3lock improves slock by making it fork() and therefore combinable with commands
to suspend your computer. Additionally, instead of turning off your screen via
DPMS and/or displaying a black screen, i3lock displays a white screen so you can
see if your computer failed to resume from suspend or if your screen is just 
locked. Also, when entering a wrong password, i3lock does not call XBell().
This is important because i3lock/slock think you’ve entered a password when 
resuming from suspend, at least sometimes. 


%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

sed -e 's|CFLAGS = -std=c99 -pedantic -Wall -Os ${INCS} ${CPPFLAGS}|CFLAGS = -std=c99 -pedantic %{optflags} ${INCS} ${CPPFLAGS}|g' \
    -e 's|LDFLAGS = -s ${LIBS}|LDFLAGS = ${LIBS}|g' \
    -i config.mk


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install \
     DESTDIR=%{buildroot} \
     INSTALL="install -p"

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
install -Dpm0644 %{SOURCE1} \
        %{buildroot}/%{_sysconfdir}/pam.d/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{name}
%{_mandir}/man*/%{name}*
%{_sysconfdir}/pam.d/%{name}


%changelog
* Sat Feb 05 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1.0-3
- Some bugfixes (sync with upstream)
- Add patch http://code.stapelberg.de/git/i3lock/commit/?id=189ee55bc074c14d61a900d428401580614a5618
- Add patch http://code.stapelberg.de/git/i3lock/commit/?id=69a987db550678b640d0f59246e6ac2cd7ce2657
- Add patch http://code.stapelberg.de/git/i3lock/commit/?id=c1a91badbed68ab63e1109bf74902e2f88bae008
- Add patch http://code.stapelberg.de/git/i3lock/commit/?id=9c4dee2e8633d4ff2c9787fc3f1b6591338c41f5
- Add patch http://code.stapelberg.de/git/i3lock/commit/?id=206036a852e3d9c598e3fe82d84fd2ac54bbaa55
- Add patch http://code.stapelberg.de/git/i3lock/commit/?id=1cddfc4a98efa54203f48de30b9937aaf66a95b4
- Add patch http://code.stapelberg.de/git/i3lock/commit/?id=ef1d47ce5b663ccc75f8387021bcc4a9e75b2a5d
- Add patch http://code.stapelberg.de/git/i3lock/commit/?id=25fe0bf00d7519db5c514cdb320870fa52265e2e
- Add patch http://code.stapelberg.de/git/i3lock/commit/?id=2e5bee59d5444f84126df845bfb8e02cd252576f

* Sat Jan 09 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1.0-2
- Add a PAM configfile as SOURCE1

* Wed Dec 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.0-1
- Package build for Fedora
